Subject: Re: Soft-Lockup/Race in networking in 2.6.31-rc1+195 ( possibly?caused by netem)

From: Andres Freund <[email-masked]>
Date: Mon, 6 Jul 2009 19:26:43 +0200

On Monday 06 July 2009 19:23:18 Joao Correia wrote:
> Hello
>
> Since i already had the kernel compiled and ready to boot when i read
> this, i gave it a go anyway :-).
>
> I can reproduce the freeze with those 4 patches applied, so i can
> confirm that its, at least, related to, or exposed by, those patches.
> There must be something else too, or its just too much fuzziness, but
> the freeze takes a bit more time (approximately five minutes, give or
> take) compared to the instant freeze before, but its there with the
> patches, and without them, no freeze.
>
> I assume there isnt a "safe" way to get them out of current .31-rc's,
> right?
`echo 0 > /proc/sys/kernel/timer_migration` should mitigate the problem.

Andres